Gtk_Alignment(3)

NAME - Gtk_Alignment
Alignment Container

HEADER REQUIRED
#include <gtk--/alignment.h&gt;>

BASE CLASSES
Gtk_Bin(3)

DESCRIPTION
Normally, a widget is allocated at least as much size as it requests. When a widget is allocated more size than it requests there is a question of how the widget should expand. By convention, most GTK widgets expand to fill their allocated space. Sometimes this behavior is not desired. The alignment widget allows the programmer to specify how a widget should expand and position itself to fill the area it is allocated.

PROPERTIES

xalign
    Type: gfloat
    Set: set()

     Specify how to position the child widget when it is not allocated all the space available to it. A value of 0.0 positions the widget to the left or top of its allocated space. A value of 1.0 positions the widget to the right or bottom of its allocated space. Specifying 0.5 will center the widget in its allocated space.

    Range: 0.0 to 1.0

yalign
    Type: gfloat
    Set: set()

     see xalign

xscale
    Type: gfloat
    Set: set()

     Specify how to scale the child widget. If the scale value is 0.0, the child widget is allocated exactly the size it requested in that dimension. If the scale value is 1.0, the child widget is allocated all of the space in a dimension. A scale value of 1.0 for both x and y is equivalent to not using an alignment widget.

    Range: 0.0 to 1.0

yscale
    Type: gfloat
    Set: set()

     see xscale

PUBLIC MEMBER INDEX
    Gtk_Alignment(gfloat xalign, gfloat yalign, gfloat xscale, gfloat yscale);
    Gtk_Alignment(GtkAlignment *castitem);
    void  set(gfloat xalign, gfloat yalign, gfloat xscale, gfloat yscale);
      Sets the properties for this widget.
    GtkAlignment*  gtkobj();
    const GtkAlignment*  gtkobj() const;
    static bool  isGtkAlignment(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkAlignment  BaseObjectType;
    typedef GtkAlignmentClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  alignment_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

void  Gtk_Alignment::set (gfloat xalign, gfloat yalign, gfloat xscale, gfloat yscale);
    Sets the properties for this widget..
    Sets both the alignment and scale of the window.

See properties xalign and xscale for more detail.

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS